Subject: Re: a problem with git describe

From: Junio C Hamano <[email-masked]>
Date: Sat, 23 Apr 2022 09:09:59 -0700

Philip Oakley <[email-masked]> writes:

>> guy@renard ~/Software/uncrustify $ sudo git describe --always --dirty
> ...
> There has also been added an escape hatch of allowing "*" for the
> permitted safe directories. but do check the updated manuals, and the
> git mailing list archive (update the search in the above link).

In this particular case, I do not think '*' is needed, but you need
to be careful here.  Whose configuration are you suggesting to add
such an entry?  Yourself?  ~root/.gitconfig?

I wonder if we should loosen "the same owner" check somewhat to
cover this situation better.  I expect people also run the
installation in repositories they own with "sudo make install",
and complaining "euid does not own that repository" when it is
merely because they are running as root (and their real identity
is still in ruid) feels a bit too strict to be useful.

Dscho, what do you think?